Catch-ups
Create a custom catch-up
Creates a catch-up for one member, identified by affiliate_id. type picks the trigger class; a value that is not a built-in trigger creates a CUSTOM_CATCH_UP. Send actions to attach one action: ToDoCatchUpAction or SendSmsCatchUpAction (both need contact_id, a contact of that member) or LinkRedirectionCatchUpAction. Returns 404 when the member is not found. Requires a company admin Bearer token with the catchup update permission.
POST
/
api
/
company
/
custom_catch_ups
Create a custom catch-up
curl --request POST \
--url https://api.fluid.app/api/company/custom_catch_ups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"affiliate_id": 90417,
"type": "custom",
"title": "Check in with Jan Levinson",
"description": "Jan's quarterly paper order is due next week. Confirm quantities before Friday.",
"contact_id": 77134,
"actions": {
"type": "ToDoCatchUpAction",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
}
EOFimport requests
url = "https://api.fluid.app/api/company/custom_catch_ups"
payload = {
"affiliate_id": 90417,
"type": "custom",
"title": "Check in with Jan Levinson",
"description": "Jan's quarterly paper order is due next week. Confirm quantities before Friday.",
"contact_id": 77134,
"actions": {
"type": "ToDoCatchUpAction",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
affiliate_id: 90417,
type: 'custom',
title: 'Check in with Jan Levinson',
description: 'Jan\'s quarterly paper order is due next week. Confirm quantities before Friday.',
contact_id: 77134,
actions: {
type: 'ToDoCatchUpAction',
action_prompt: 'Call Jan to confirm her quarterly paper order'
}
})
};
fetch('https://api.fluid.app/api/company/custom_catch_ups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/custom_catch_ups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'affiliate_id' => 90417,
'type' => 'custom',
'title' => 'Check in with Jan Levinson',
'description' => 'Jan\'s quarterly paper order is due next week. Confirm quantities before Friday.',
'contact_id' => 77134,
'actions' => [
'type' => 'ToDoCatchUpAction',
'action_prompt' => 'Call Jan to confirm her quarterly paper order'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/custom_catch_ups"
payload := strings.NewReader("{\n \"affiliate_id\": 90417,\n \"type\": \"custom\",\n \"title\": \"Check in with Jan Levinson\",\n \"description\": \"Jan's quarterly paper order is due next week. Confirm quantities before Friday.\",\n \"contact_id\": 77134,\n \"actions\": {\n \"type\": \"ToDoCatchUpAction\",\n \"action_prompt\": \"Call Jan to confirm her quarterly paper order\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/custom_catch_ups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"affiliate_id\": 90417,\n \"type\": \"custom\",\n \"title\": \"Check in with Jan Levinson\",\n \"description\": \"Jan's quarterly paper order is due next week. Confirm quantities before Friday.\",\n \"contact_id\": 77134,\n \"actions\": {\n \"type\": \"ToDoCatchUpAction\",\n \"action_prompt\": \"Call Jan to confirm her quarterly paper order\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/custom_catch_ups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"affiliate_id\": 90417,\n \"type\": \"custom\",\n \"title\": \"Check in with Jan Levinson\",\n \"description\": \"Jan's quarterly paper order is due next week. Confirm quantities before Friday.\",\n \"contact_id\": 77134,\n \"actions\": {\n \"type\": \"ToDoCatchUpAction\",\n \"action_prompt\": \"Call Jan to confirm her quarterly paper order\"\n }\n}"
response = http.request(request)
puts response.read_body{
"catch_up": {
"id": 30977,
"catch_up_class": "CUSTOM_CATCH_UP",
"updated_at": "2026-09-15T13:20:44.518Z",
"created_at": "2026-09-15T13:20:44.518Z",
"company_id": 1405,
"user_company_id": 90417,
"suggestion_title": "Check in with Jan Levinson",
"suggestion_description": "Jan's quarterly paper order is due next week. Confirm quantities before Friday.",
"catch_up_actions": [
{
"id": 48290,
"type": "ToDoCatchUpAction",
"status": "pending",
"action_class": null,
"action_data": {
"meta": {
"klass": "CUSTOM_CATCH_UP",
"language": "English",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
},
"catch_up_id": 30977,
"company_id": 1405,
"contact_id": 77134,
"created_at": "2026-09-15T13:20:44.531Z",
"updated_at": "2026-09-15T13:20:44.531Z"
}
]
},
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>"
}Body
application/json
Request payload
⌘I
Create a custom catch-up
curl --request POST \
--url https://api.fluid.app/api/company/custom_catch_ups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"affiliate_id": 90417,
"type": "custom",
"title": "Check in with Jan Levinson",
"description": "Jan's quarterly paper order is due next week. Confirm quantities before Friday.",
"contact_id": 77134,
"actions": {
"type": "ToDoCatchUpAction",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
}
EOFimport requests
url = "https://api.fluid.app/api/company/custom_catch_ups"
payload = {
"affiliate_id": 90417,
"type": "custom",
"title": "Check in with Jan Levinson",
"description": "Jan's quarterly paper order is due next week. Confirm quantities before Friday.",
"contact_id": 77134,
"actions": {
"type": "ToDoCatchUpAction",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
affiliate_id: 90417,
type: 'custom',
title: 'Check in with Jan Levinson',
description: 'Jan\'s quarterly paper order is due next week. Confirm quantities before Friday.',
contact_id: 77134,
actions: {
type: 'ToDoCatchUpAction',
action_prompt: 'Call Jan to confirm her quarterly paper order'
}
})
};
fetch('https://api.fluid.app/api/company/custom_catch_ups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/custom_catch_ups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'affiliate_id' => 90417,
'type' => 'custom',
'title' => 'Check in with Jan Levinson',
'description' => 'Jan\'s quarterly paper order is due next week. Confirm quantities before Friday.',
'contact_id' => 77134,
'actions' => [
'type' => 'ToDoCatchUpAction',
'action_prompt' => 'Call Jan to confirm her quarterly paper order'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/custom_catch_ups"
payload := strings.NewReader("{\n \"affiliate_id\": 90417,\n \"type\": \"custom\",\n \"title\": \"Check in with Jan Levinson\",\n \"description\": \"Jan's quarterly paper order is due next week. Confirm quantities before Friday.\",\n \"contact_id\": 77134,\n \"actions\": {\n \"type\": \"ToDoCatchUpAction\",\n \"action_prompt\": \"Call Jan to confirm her quarterly paper order\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/custom_catch_ups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"affiliate_id\": 90417,\n \"type\": \"custom\",\n \"title\": \"Check in with Jan Levinson\",\n \"description\": \"Jan's quarterly paper order is due next week. Confirm quantities before Friday.\",\n \"contact_id\": 77134,\n \"actions\": {\n \"type\": \"ToDoCatchUpAction\",\n \"action_prompt\": \"Call Jan to confirm her quarterly paper order\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/custom_catch_ups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"affiliate_id\": 90417,\n \"type\": \"custom\",\n \"title\": \"Check in with Jan Levinson\",\n \"description\": \"Jan's quarterly paper order is due next week. Confirm quantities before Friday.\",\n \"contact_id\": 77134,\n \"actions\": {\n \"type\": \"ToDoCatchUpAction\",\n \"action_prompt\": \"Call Jan to confirm her quarterly paper order\"\n }\n}"
response = http.request(request)
puts response.read_body{
"catch_up": {
"id": 30977,
"catch_up_class": "CUSTOM_CATCH_UP",
"updated_at": "2026-09-15T13:20:44.518Z",
"created_at": "2026-09-15T13:20:44.518Z",
"company_id": 1405,
"user_company_id": 90417,
"suggestion_title": "Check in with Jan Levinson",
"suggestion_description": "Jan's quarterly paper order is due next week. Confirm quantities before Friday.",
"catch_up_actions": [
{
"id": 48290,
"type": "ToDoCatchUpAction",
"status": "pending",
"action_class": null,
"action_data": {
"meta": {
"klass": "CUSTOM_CATCH_UP",
"language": "English",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
},
"catch_up_id": 30977,
"company_id": 1405,
"contact_id": 77134,
"created_at": "2026-09-15T13:20:44.531Z",
"updated_at": "2026-09-15T13:20:44.531Z"
}
]
},
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>"
}